Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0040232
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2019-02-18 13:392019-03-20 13:57
Reportersamuel_nicuesaView Statuspublic 
Assigned Torqueralta 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revisiona3e74cbdf2f8
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tojorge-garcia
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0040232: Sales quotation is not saved in Back Office

DescriptionAfter completing a quotation if the cashier press X button before Sync message is displayed, the quotation won't be saved in Back Office.
Steps To Reproduce[POS]

-Configure Chrome performance 6x slowdown
-Create quotation
-Add one product
-Press Amount button and the Quotation will be closed
-Before sync quotation message is shown on top right corner you will need to press X button.

[BO]

-Check that quotation has not been saved.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0110282)
hgbot (developer)
2019-03-07 14:36

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: 88a5c9b52b17a8178dcb80b29903828dc5f4c048
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 04 18:42:19 2019 -0500
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/88a5c9b52b17a8178dcb80b29903828dc5f4c048 [^]

Fixed issue 40232: Sales quotation is not saved in Back Office

- Button 'Delete' is disabled until the processing of the order ends

---
M src-db/database/sourcedata/OBMOBC_PROCESS_DEFINITION.xml
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/pointofsale/view/toolbar-left.js
---
(0110324)
jorge-garcia (developer)
2019-03-08 14:28

The solution is not complete. If some creates a quotation and a 'OBPOS_PreOrderSave' registered hook launches a cancellation, the process and the scrim will remain in process forever.

Don't start a process depending on document type, the process tapTotalButton makes sense for other type of documents.
(0110463)
hgbot (developer)
2019-03-15 23:12

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: a3e74cbdf2f8dcd36d8602e6ea86363f30c7614c
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 11 17:11:08 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a3e74cbdf2f8dcd36d8602e6ea86363f30c7614c [^]

Fixed issue 40232: Sales quotation is not saved in Back Office

- Start "tapTotalButton" process for any document type

---
M web/org.openbravo.retail.posterminal/js/data/dataordersave.js
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
---
(0110499)
hgbot (developer)
2019-03-19 19:42

Repository: erp/pmods/org.openbravo.retail.posterminal
Changeset: f4c894011bbbc690e28c58116934d6ed2b9db3b0
Author: Rafael Queralta <rafaelcuba81 <at> gmail.com>
Date: Mon Mar 18 09:45:40 2019 -0400
URL: http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/f4c894011bbbc690e28c58116934d6ed2b9db3b0 [^]

Related to issue 40232: Sales quotation is not saved in Back Office

- Adde new function to finish a process controller running by searchkey

---
M web/org.openbravo.retail.posterminal/js/login/model/login-model.js
M web/org.openbravo.retail.posterminal/js/utils/ob-utilitiesuipos.js
---
(0110512)
jorge-garcia (developer)
2019-03-20 13:57

Processes execution should be a scoped variable in the same context.

OB.UTIL.finishProcessesRunningBySearchKey function is not correct and should not exists (and I don't know why it's needed). In case a process should finish outside the definition scope, two scoped processes should be created instead of using the same.

- Issue History
Date Modified Username Field Change
2019-02-18 13:39 samuel_nicuesa New Issue
2019-02-18 13:39 samuel_nicuesa Assigned To => Retail
2019-02-18 13:39 samuel_nicuesa Triggers an Emergency Pack => No
2019-02-18 13:41 rafaroda Issue Monitored: rafaroda
2019-02-18 20:13 rqueralta Assigned To Retail => rqueralta
2019-02-18 20:13 rqueralta Status new => scheduled
2019-03-07 14:36 hgbot Checkin
2019-03-07 14:36 hgbot Note Added: 0110282
2019-03-07 14:36 hgbot Status scheduled => resolved
2019-03-07 14:36 hgbot Resolution open => fixed
2019-03-07 14:36 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/88a5c9b52b17a8178dcb80b29903828dc5f4c048 [^]
2019-03-08 14:07 jorge-garcia Review Assigned To => jorge-garcia
2019-03-08 14:28 jorge-garcia Note Added: 0110324
2019-03-08 14:28 jorge-garcia Status resolved => new
2019-03-08 14:28 jorge-garcia Resolution fixed => open
2019-03-15 23:12 hgbot Checkin
2019-03-15 23:12 hgbot Note Added: 0110463
2019-03-15 23:12 hgbot Status new => resolved
2019-03-15 23:12 hgbot Resolution open => fixed
2019-03-15 23:12 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/88a5c9b52b17a8178dcb80b29903828dc5f4c048 [^] => http://code.openbravo.com/erp/pmods/org.openbravo.retail.posterminal/rev/a3e74cbdf2f8dcd36d8602e6ea86363f30c7614c [^]
2019-03-19 19:42 hgbot Checkin
2019-03-19 19:42 hgbot Note Added: 0110499
2019-03-20 13:57 jorge-garcia Note Added: 0110512
2019-03-20 13:57 jorge-garcia Status resolved => new
2019-03-20 13:57 jorge-garcia Resolution fixed => open


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker